unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, Menus;

type
  TMainFormSysEdit = class(TForm)
    MainMenu1: TMainMenu;
    FileMenu: TMenuItem;
    item_Save: TMenuItem;
    N1: TMenuItem;
    item_Print: TMenuItem;
    item_PrintSetup: TMenuItem;
    N2: TMenuItem;
    item_Exit: TMenuItem;
    item_About: TMenuItem;
    EditMenu: TMenuItem;
    SearchMenu: TMenuItem;
    WindowMenu: TMenuItem;
    item_Tile: TMenuItem;
    item_Cascade: TMenuItem;
    item_ArrangeIcons: TMenuItem;
    item_Find: TMenuItem;
    item_Next: TMenuItem;
    item_Previous: TMenuItem;
    item_Undo: TMenuItem;
    N3: TMenuItem;
    item_Cut: TMenuItem;
    item_Copy: TMenuItem;
    item_Paste: TMenuItem;
    item_Clear: TMenuItem;
    N4: TMenuItem;
    item_SelectAll: TMenuItem;
    item_UpperCase: TMenuItem;
    item_LowerCase: TMenuItem;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
{ File Menu }
    procedure FileExit(Sender: TObject);
    procedure FileAbout(Sender: TObject);
{ Window Menu }
    procedure WindowMenuUpdates(Sender: TObject);
    procedure WindowTile(Sender: TObject);
    procedure WindowCascade(Sender: TObject);
    procedure WindowArrangeIcons(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainFormSysEdit: TMainFormSysEdit;

implementation

uses Editor, About;

{$R *.DFM}

{ TMainFormSysEdit }

procedure TMainFormSysEdit.FormCreate(Sender: TObject);
begin
  MainFormSysEdit.Caption := Application.Title;
end;

procedure TMainFormSysEdit.FormDestroy(Sender: TObject);
begin
//
end;

procedure TMainFormSysEdit.FormActivate(Sender: TObject);
const
  FirstTime: Boolean = True;
var
  Buf: array[0..255] of Char;
begin
  if FirstTime then
  begin
    FirstTime := False;
    GetWindowsDirectory(@Buf, High(Buf));

    if FileExists(Buf + '\PROTOCOL.INI') then
    with TEditorForm.Create(MainFormSysEdit) do
    begin
      Memo1.Lines.LoadFromFile(Buf + '\protocol.ini');
      Caption := Buf + '\PROTOCOL.INI';
      Show;
    end;

    if FileExists(Buf + '\SYSTEM.INI') then
    with TEditorForm.Create(MainFormSysEdit) do
    begin
      Memo1.Lines.LoadFromFile(Buf + '\system.ini');
      Caption := Buf + '\SYSTEM.INI';
      Show;
    end;

    if FileExists(Buf + '\WIN.INI') then
    with TEditorForm.Create(MainFormSysEdit) do
    begin
      Memo1.Lines.LoadFromFile(Buf + '\win.ini');
      Caption := Buf + '\WIN.INI';
      Show;
    end;

    if FileExists('C:\CONFIG.SYS') then
    with TEditorForm.Create(MainFormSysEdit) do
    begin
      Memo1.Lines.LoadFromFile('c:\config.sys');
      Caption := 'C:\CONFIG.SYS';
      Show;
    end;

    if FileExists('C:\AUTOEXEC.BAT') then
    with TEditorForm.Create(MainFormSysEdit) do
    begin
      Memo1.Lines.LoadFromFile('c:\autoexec.bat');
      Caption := 'C:\AUTOEXEC.BAT';
      Show;
    end;
  end; { if FirstTime }
end;

{ File Menu }

procedure TMainFormSysEdit.FileExit(Sender: TObject);
begin
  Application.MainForm.Close;
end;

procedure TMainFormSysEdit.FileAbout(Sender: TObject);
begin
  ShowAbout;
end;

{ Window Menu }

procedure TMainFormSysEdit.WindowMenuUpdates(Sender: TObject);
begin
  item_Tile.Enabled := MainFormSysEdit.MDIChildCount > 0;
  item_Cascade.Enabled := MainFormSysEdit.MDIChildCount > 0;
  item_ArrangeIcons.Enabled := MainFormSysEdit.MDIChildCount > 0;
end;

procedure TMainFormSysEdit.WindowTile(Sender: TObject);
begin
  MainFormSysEdit.Tile;
end;

procedure TMainFormSysEdit.WindowCascade(Sender: TObject);
begin
  MainFormSysEdit.Cascade;
end;

procedure TMainFormSysEdit.WindowArrangeIcons(Sender: TObject);
begin
  MainFormSysEdit.ArrangeIcons;
end;

end.
